/*!
 * @file mission_goal.h
 * @brief Definition of a killtarget mission goal
*/

#ifndef _KILL_TARGET_H
#define _KILL_TARGET_H

#include "mission_goal.h"


class TiXmlElement;



//! A class representing a mission goal to kill a specific amount of a specific object type
class KillTarget : public MissionGoal
{

  public:
    KillTarget(const TiXmlElement* root);
    virtual ~KillTarget();

    virtual void loadParams(const TiXmlElement* root);


    void setNumberOfKills( int kills) { this->numberOfKills = kills; }
    void setTargetClassID( int classID) { this->targetClassID = classID; }
    void setTargetClassName( char* className) {}


    virtual MissionState checkMissionGoal(float dt);


  private:
    int numberOfKills;                                                 //!< the amount of kills of this kind
    int targetClassID;                                                 //!< id of the target class
};

#endif /* _KILL_TARGET_H */
